# ubixDiskLabel::drivePartitions Struct Reference

`#include <ubixfs.h>`

## Data Fields

uInt32 | pSize
uInt32 | pOffset
uInt32 | pFsSize
uInt32 | pBatSize
uInt8 | pFsType
uInt8 | pFrag

## Detailed Description

the partition table

## Field Documentation

uInt32 ubixDiskLabel::drivePartitions::pBatSize

| BAT size

uInt8 ubixDiskLabel::drivePartitions::pFrag

| filesystem fragments per block

uInt32 ubixDiskLabel::drivePartitions::pFsSize

| filesystem basic fragment size

uInt8 ubixDiskLabel::drivePartitions::pFsType

| filesystem type, see below

uInt32 ubixDiskLabel::drivePartitions::pOffset

| starting sector

uInt32 ubixDiskLabel::drivePartitions::pSize

| number of sectors in partition

The documentation for this struct was generated from the following file:

- ubixfs.h